{"openapi":"3.1.0","info":{"version":"v2","title":"Genius for Restaurants API","description":""},"tags":[{"name":"Setup"},{"name":"Menu"},{"name":"Sales"},{"name":"Tickets"},{"name":"Cash"},{"name":"Labor"},{"name":"Orders"},{"name":"Stock"},{"name":"Accounts"},{"name":"Webhook"}],"security":[{"X-Api-Key":[],"Authentication":[]}],"components":{"securitySchemes":{"Authentication":{"description":"Partner Key","in":"header","name":"authentication","type":"apiKey"},"X-Api-Key":{"description":"API key","in":"header","name":"x-Api-Key","type":"apiKey"}},"responses":{"BadRequest":{"description":"Invalid parameters"},"PreconditionFailed":{"description":"Precondition failed."},"Unauthorized":{"description":"Invalid API key"},"Forbidden":{"description":"Forbidden"},"NotFound":{"description":"Not found"},"InternalServerError":{"description":"Internal server error"}},"schemas":{"DeleteResponseType":{"type":"object","properties":{"success":{"description":"Status successful","type":"boolean"}}},"PaginationMetadata":{"type":"object","properties":{"total":{"description":"Total number of items across all pages","type":"integer"},"page":{"description":"Current page number (starts from 1)","type":"integer"},"limit":{"description":"Number of items per page","type":"integer"},"total_pages":{"description":"Total number of pages","type":"integer"}},"required":["total","page","limit","total_pages"]},"UserAccounts":{"type":"object","properties":{"user":{"description":"Data dependent on the type of query parameter.","type":"object"}}},"TimePunch":{"type":"object","properties":{"id":{"description":"Unique ID of the time punch","type":"string"},"staff_id":{"description":"ID of the staff","type":"string"},"job_type_id":{"description":"ID of the staff job type","type":"string"},"punch_in_dt":{"description":"Time punch in date/time","type":"string"},"punch_out_dt":{"description":"Time punch out date/time","type":"string"},"regular_rate":{"description":"Staff regular rate","type":"number","format":"float"},"overtime_rate":{"description":"Staff overtime rate","type":"number","format":"float"},"reported_tips":{"description":"Total tips reported by staff on punch out","type":"number","format":"float"}}},"CreateMenuAttribute":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of attribute","type":"string"},"available_online":{"description":"Available online. Defaults to true when omitted.","type":"boolean","default":true}}},"UpdateMenuAttribute":{"type":"object","properties":{"name":{"description":"Name of attribute","type":"string"}}},"CreateMenuDiscount":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of discount","type":"string"},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected","type":"boolean"},"open_amount":{"description":"Discount amount is configured at the time it's applied","type":"boolean"},"affect_modifiers":{"description":"Discount will apply to the entire item price, including modifier ingredients","type":"boolean"},"amount":{"description":"Amount of the discount","type":"number","format":"float"},"amount_type":{"description":"Whether the discount amount is a percent or dollar value","type":"string","enum":["percent","dollar"]},"required_items":{"description":"Number of items required need to apply this discount","type":"integer","minimum":0},"required_item_tag_id":{"description":"ID of tag used for requires items (base64 encoded)","type":"string"},"discount_item_tag_id":{"description":"ID of tag used for the discounted item (base64 encoded)","type":"string"}}},"CreateMenuReportCategory":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of report category","type":"string"}}},"UpdateMenuReportCategory":{"type":"object","properties":{"name":{"description":"Name of report category","type":"string"}}},"CreateMenuTag":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of tag","type":"string"}}},"UpdateMenuTag":{"type":"object","properties":{"name":{"description":"Name of tag","type":"string"}}},"CreateMenuTax":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of tax","type":"string"},"rate":{"description":"Percentage rate of the tax","type":"number","format":"float"}}},"PaginatedMenuItemsResponse":{"type":"object","description":"Paginated response format returned when page and limit query parameters are provided","properties":{"data":{"description":"Array of menu items for the current page","type":"array","items":{"$ref":"#/components/schemas/GetMenuItem"}},"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}},"required":["data","pagination"]},"MenuAdjustment":{"type":"object","properties":{"id":{"description":"Unique ID of adjustment","type":"string"},"name":{"description":"Name of adjustment","type":"string"},"default_amount":{"description":"Default adjustment amount","type":"number","format":"float"},"amount_type":{"description":"Whether the adjustment amount is a percent or dollar value","type":"string","enum":["percent","dollar"]},"min_amount":{"description":"Minimum amount the adjustment can be","type":"number","format":"float"},"max_amount":{"description":"Maximum amount the adjustment can be","type":"number","format":"float"},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected","type":"boolean"},"charge":{"description":"Adjustment is an added charge instead of a discount","type":"boolean"},"service_charge":{"description":"Adjustment is a gratuity paid out to the staff","type":"boolean"},"non_revenue":{"description":"Adjustment is non-revenue for reporting","type":"boolean"},"auto_apply":{"description":"Automatically applied to ticket","type":"string"},"auto_apply_party_size":{"description":"Automatically applied based on guest count","type":"integer"},"room_specific":{"description":"Adjustment is scoped to specific rooms or is available globally","type":"boolean"}}},"CreateMenuAdjustment":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of adjustment","type":"string"},"default_amount":{"description":"Default adjustment amount","type":"number","format":"float"},"amount_type":{"description":"Whether the adjustment amount is a percent or dollar value","type":"string","enum":["percent","dollar"]},"min_amount":{"description":"Minimum amount the adjustment can be","type":"number","format":"float"},"max_amount":{"description":"Maximum amount the adjustment can be","type":"number","format":"float"},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected","type":"boolean"},"charge":{"description":"Adjustment is an added charge instead of a discount","type":"boolean"},"service_charge":{"description":"Adjustment is a gratuity paid out to the staff","type":"boolean"},"non_revenue":{"description":"Adjustment is non-revenue for reporting","type":"boolean"},"auto_apply":{"description":"Automatically applied to ticket","type":"boolean"},"auto_apply_party_size":{"description":"Automatically applied based on guest count","type":"integer"},"room_specific":{"description":"Adjustment is scoped to specific rooms or is available globally","type":"boolean"}}},"UpdateMenuAdjustment":{"type":"object","properties":{"name":{"description":"Name of adjustment","type":"string"},"default_amount":{"description":"Default adjustment amount","type":"number","format":"float"},"amount_type":{"description":"Whether the adjustment amount is a percent or dollar value","type":"string","enum":["percent","dollar"]},"min_amount":{"description":"Minimum amount the adjustment can be","type":"number","format":"float"},"max_amount":{"description":"Maximum amount the adjustment can be","type":"number","format":"float"},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected","type":"boolean"},"charge":{"description":"Adjustment is an added charge instead of a discount","type":"boolean"},"service_charge":{"description":"Adjustment is a gratuity paid out to the staff","type":"boolean"},"non_revenue":{"description":"Adjustment is non-revenue for reporting","type":"boolean"},"auto_apply":{"description":"Automatically applied to ticket","type":"boolean"},"auto_apply_party_size":{"description":"Automatically applied based on guest count","type":"integer"},"room_specific":{"description":"Adjustment is scoped to specific rooms or is available globally","type":"boolean"}}},"PatchMenuAdjustment":{"type":"object","description":"Partial update for an adjustment. All fields are optional.","properties":{"name":{"description":"Name of adjustment","type":"string"},"default_amount":{"description":"Default adjustment amount","type":"number","format":"float"},"min_amount":{"description":"Minimum amount the adjustment can be","type":"number","format":"float"},"max_amount":{"description":"Maximum amount the adjustment can be","type":"number","format":"float"},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected","type":"boolean"},"charge":{"description":"Adjustment is an added charge instead of a discount","type":"boolean"},"service_charge":{"description":"Adjustment is a gratuity paid out to the staff","type":"boolean"},"non_revenue":{"description":"Adjustment is non-revenue for reporting","type":"boolean"},"auto_apply":{"description":"Automatically applied to ticket","type":"boolean"},"auto_apply_party_size":{"description":"Automatically applied based on guest count","type":"integer"},"amount_type":{"description":"Whether the adjustment amount is a percent or dollar value","type":"string","enum":["percent","dollar"]},"room_specific":{"description":"Adjustment is scoped to specific rooms or is available globally","type":"boolean"}}},"PutMenuAdjustment":{"type":"object","description":"PUT payload for an adjustment. `name` is required. All other fields are optional and default to their initial values when omitted.","required":["name"],"properties":{"name":{"description":"Name of adjustment","type":"string","minLength":1},"default_amount":{"description":"Default adjustment amount. Defaults to 0 if omitted.","type":"number","format":"float","minimum":0,"default":0},"amount_type":{"description":"Whether the adjustment amount is a percent or dollar value. Defaults to `percent` if omitted.","type":"string","enum":["percent","dollar"],"default":"percent"},"min_amount":{"description":"Minimum amount the adjustment can be. Defaults to 0 if omitted. Must be ≤ max_amount.","type":"number","format":"float","minimum":0,"default":0},"max_amount":{"description":"Maximum amount the adjustment can be. Defaults to 0 if omitted. Must be ≥ min_amount.","type":"number","format":"float","minimum":0,"default":0},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected. Defaults to false if omitted.","type":"boolean","default":false},"charge":{"description":"Adjustment is an added charge instead of a discount. Defaults to false if omitted.","type":"boolean","default":false},"service_charge":{"description":"Adjustment is a gratuity paid out to the staff. Defaults to false if omitted.","type":"boolean","default":false},"non_revenue":{"description":"Adjustment is non-revenue for reporting. Defaults to false if omitted.","type":"boolean","default":false},"auto_apply":{"description":"Automatically applied to ticket. Defaults to false if omitted.","type":"boolean","default":false},"auto_apply_party_size":{"description":"Guest count threshold for auto-apply. Only used when `auto_apply` is true; ignored otherwise (stored as -1). Must be an integer ≥ 0. Defaults to 0 if omitted and `auto_apply` is true.","type":"integer","minimum":0},"room_specific":{"description":"Adjustment is scoped to specific rooms or is available globally. Defaults to false if omitted.","type":"boolean","default":false}}},"PutMenuAdjustmentResponse":{"type":"object","description":"Response body for PUT /v2/menu/adjustments/{id}. Contains all adjustment fields including amount_type and room_specific.","properties":{"id":{"description":"Unique ID of adjustment","type":"string"},"name":{"description":"Name of adjustment","type":"string"},"default_amount":{"description":"Default adjustment amount","type":"number","format":"float"},"amount_type":{"description":"Whether the adjustment amount is a percent or dollar value","type":"string","enum":["percent","dollar"]},"min_amount":{"description":"Minimum amount the adjustment can be","type":"number","format":"float"},"max_amount":{"description":"Maximum amount the adjustment can be","type":"number","format":"float"},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected","type":"boolean"},"charge":{"description":"Adjustment is an added charge instead of a discount","type":"boolean"},"service_charge":{"description":"Adjustment is a gratuity paid out to the staff","type":"boolean"},"non_revenue":{"description":"Adjustment is non-revenue for reporting","type":"boolean"},"auto_apply":{"description":"Automatically applied to ticket","type":"boolean"},"auto_apply_party_size":{"description":"Automatically applied based on guest count","type":"integer"},"room_specific":{"description":"Adjustment is scoped to specific rooms or is available globally","type":"boolean"}}},"MenuAttribute":{"type":"object","properties":{"id":{"description":"Unique ID of attribute","type":"string"},"name":{"description":"Name of attribute","type":"string"},"available_online":{"description":"Available online","type":"boolean"}}},"PatchMenuAttribute":{"type":"object","description":"PATCH payload for an attribute. All fields are optional; omitted fields remain unchanged.","properties":{"name":{"description":"Name of the attribute. When omitted, current value is unchanged.","type":"string","minLength":1},"available_online":{"description":"Whether the attribute is available online. When omitted, current value is unchanged.","type":"boolean"}},"additionalProperties":false},"PutMenuAttribute":{"type":"object","description":"PUT payload for an attribute. `name` is required; `available_online` defaults to `true` if omitted.","required":["name"],"properties":{"name":{"description":"Name of attribute","type":"string","minLength":1},"available_online":{"description":"Whether the attribute is available online. Defaults to `true` when omitted.","type":"boolean"}},"additionalProperties":false},"MenuContextItem":{"type":"object","properties":{"id":{"description":"Unique ID of context item","type":"string"},"name":{"description":"Name of context item","type":"string"},"short_name":{"description":"Short name of context item","type":"string"},"ingredients":{"description":"List of ingredients applied to this context item","type":"array","items":{"properties":{"ingredient_id":{"description":"ID of ingredient","type":"string"},"multiplier":{"description":"Multiplier of ingredient","type":"number","format":"float"}}}},"available_online":{"description":"Available online","type":"boolean"}}},"CreateMenuContextItem":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of context item","type":"string"},"short_name":{"description":"Short name of context item","type":"string"},"ingredients":{"description":"List of ingredients to assign to this context item. When omitted, no ingredients are assigned.","type":"array","items":{"type":"object","required":["ingredient_id"],"properties":{"ingredient_id":{"description":"ID of the ingredient","type":"string"},"multiplier":{"description":"Multiplier of the ingredient. Defaults to 1.0 if omitted.","type":"number","format":"float","default":1}}}},"available_online":{"description":"Available online","type":"boolean"}}},"PatchMenuContextItem":{"type":"object","properties":{"name":{"description":"Display name of the context item. When omitted, current value is unchanged.","type":"string"},"short_name":{"description":"Short reference / abbreviation. When omitted, current value is unchanged.","type":"string"},"available_online":{"description":"Whether the context item is available online. When omitted, current value is unchanged.","type":"boolean"},"ingredients":{"description":"List of ingredients to assign to this context item. When present, fully replaces the existing ingredient list. When present but empty, removes all existing ingredient assignments. When omitted, existing ingredient assignments remain unchanged.","type":"array","items":{"type":"object","required":["ingredient_id"],"properties":{"ingredient_id":{"description":"ID of the ingredient","type":"string"},"multiplier":{"description":"Multiplier of the ingredient. Defaults to 1.0 if omitted.","type":"number","format":"float","default":1}}}}}},"PutMenuContextItem":{"type":"object","required":["name"],"properties":{"name":{"description":"Display name of the context item.","type":"string"},"short_name":{"description":"Short reference / abbreviation. Defaults to \"\" if omitted.","type":"string","default":""},"ingredients":{"description":"List of ingredients to assign to this context item. Fully replaces the existing ingredient list. Defaults to [] if omitted.","type":"array","default":[],"items":{"type":"object","required":["ingredient_id"],"properties":{"ingredient_id":{"description":"ID of the ingredient","type":"string"},"multiplier":{"description":"Multiplier of the ingredient. Defaults to 1.0 if omitted.","type":"number","format":"float","default":1}}}},"available_online":{"description":"Whether the context item is available online. Defaults to true if omitted.","type":"boolean","default":true}}},"PutMenuContextItemResponse":{"type":"object","properties":{"id":{"description":"Unique ID of the context item","type":"string"},"name":{"description":"Display name of the context item","type":"string"},"short_name":{"description":"Short reference / abbreviation","type":"string"},"ingredients":{"description":"List of ingredients assigned to this context item","type":"array","items":{"type":"object","properties":{"ingredient_id":{"description":"ID of the ingredient","type":"string"},"multiplier":{"description":"Multiplier of the ingredient","type":"number","format":"float"}}}},"available_online":{"description":"Whether the context item is available online","type":"boolean"}}},"CreateMenuPromo":{"type":"object","required":["name","promo_code"],"properties":{"name":{"description":"Name of promotion","type":"string"},"promo_code":{"description":"The code entered at the POS to activate this promotion","type":"string"},"discount_id":{"description":"Base64-encoded item-level discount graph ID (a record from GET /v2/menu/discounts), e.g. `discount:<numeric>`. Supply exactly one of `discount_id` or `adjustment_id`.","type":"string"},"adjustment_id":{"description":"Base64-encoded ticket-level adjustment graph ID (a record from GET /v2/menu/adjustments), e.g. `adjustment:<numeric>`. Supply exactly one of `discount_id` or `adjustment_id`.","type":"string"},"available_online":{"description":"Whether this promo code can be applied on online orders. Defaults to true when omitted.","type":"boolean"},"available_kiosk":{"description":"Whether this promo code can be applied on kiosk orders. Defaults to true when omitted.","type":"boolean"}}},"MenuPromo":{"type":"object","properties":{"id":{"description":"Unique ID of promotion (base64 encoded)","type":"string"},"name":{"description":"Name of promotion","type":"string"},"promo_code":{"description":"The code entered at the POS to activate this promotion","type":"string"},"type":{"description":"Read-only convenience field indicating which parent ID is populated: 'discount' when discount_id is populated (item-level promo), 'adjustment' when adjustment_id is populated (ticket-level promo). Derived server-side; not supplied on write.","type":"string","enum":["discount","adjustment"]},"discount_id":{"description":"The linked item-level discount (a record from GET /v2/menu/discounts). Populated when this is an item-level promo, null otherwise. Exactly one of discount_id or adjustment_id is populated per record.","type":"string","nullable":true},"adjustment_id":{"description":"The linked ticket-level adjustment (a record from GET /v2/menu/adjustments). Populated when this is a ticket-level promo, null otherwise. Exactly one of discount_id or adjustment_id is populated per record.","type":"string","nullable":true},"available_online":{"description":"Whether this promo code can be applied on online orders","type":"boolean"},"available_kiosk":{"description":"Whether this promo code can be applied on kiosk orders","type":"boolean"}}},"PatchMenuPromo":{"type":"object","description":"Partial promo update. All fields optional; omitted fields unchanged. Supply at most one of `discount_id` or `adjustment_id`.","additionalProperties":false,"properties":{"name":{"description":"Name of promotion","type":"string","minLength":1},"promo_code":{"description":"The code entered at the POS to activate this promotion","type":"string","minLength":1},"discount_id":{"description":"Base64-encoded item-level discount ID. Mutually exclusive with `adjustment_id`.","type":"string"},"adjustment_id":{"description":"Base64-encoded ticket-level adjustment ID. Mutually exclusive with `discount_id`.","type":"string"},"available_online":{"description":"Available for online orders","type":"boolean"},"available_kiosk":{"description":"Available for kiosk orders","type":"boolean"}}},"MenuDiscount":{"type":"object","properties":{"id":{"description":"Unique ID of discount","type":"string"},"name":{"description":"Name of discount","type":"string"},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected","type":"boolean"},"open_amount":{"description":"Discount amount is configured at the time it's applied","type":"boolean"},"affect_modifiers":{"description":"Discount will apply to the entire item price, including modifier ingredients","type":"boolean"},"amount":{"description":"Amount of the discount","type":"number","format":"float"},"amount_type":{"description":"Whether the discount amount is a percent or dollar value","type":"string","enum":["percent","dollar"]},"required_items":{"description":"Number of items required need to apply this discount","type":"integer","minimum":0},"required_item_tag_id":{"description":"ID of tag used for requires items (base64 encoded)","type":"string"},"discount_item_tag_id":{"description":"ID of tag used for the discounted item (base64 encoded)","type":"string"}}},"PostMenuDiscount":{"type":"object","properties":{"id":{"description":"Unique ID of discount","type":"string"},"name":{"description":"Name of discount","type":"string"},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected","type":"boolean"},"open_amount":{"description":"Discount amount is configured at the time it's applied","type":"boolean"},"affect_modifiers":{"description":"Discount will apply to the entire item price, including modifier ingredients","type":"boolean"},"amount":{"description":"Amount of the discount","type":"number","format":"float"},"amount_type":{"description":"Whether the discount amount is a percent or dollar value","type":"string","enum":["percent","dollar"]},"required_items":{"description":"Number of items required need to apply this discount","type":"integer","minimum":0},"required_item_tag_id":{"description":"ID of tag used for requires items (base64 encoded)","type":"string"},"discount_item_tag_id":{"description":"ID of tag used for the discounted item (base64 encoded)","type":"string"}}},"PatchMenuDiscount":{"type":"object","properties":{"name":{"description":"Name of discount","type":"string"},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected","type":"boolean"},"open_amount":{"description":"Discount amount is configured at the time it's applied","type":"boolean"},"affect_modifiers":{"description":"Discount will apply to the entire item price, including modifier ingredients","type":"boolean"},"amount":{"description":"Amount of the discount","type":"number","format":"float"},"amount_type":{"description":"Whether the discount amount is a percent or dollar value","type":"string","enum":["percent","dollar"]},"required_items":{"description":"Number of items required need to apply this discount","type":"integer","minimum":0},"required_item_tag_id":{"description":"ID of tag used for requires items (base64 encoded)","type":"string"},"discount_item_tag_id":{"description":"ID of tag used for the discounted item (base64 encoded)","type":"string"}}},"PutMenuDiscount":{"type":"object","description":"PUT payload for a discount. `name` is required. All other fields are optional and defaulted when omitted.","required":["name"],"properties":{"name":{"description":"Name of discount","type":"string"},"tax_exempt":{"description":"Does not increase or reduce the amount of tax collected. Defaults to false.","type":"boolean","default":false},"open_amount":{"description":"Discount amount is configured at the time it's applied. Defaults to false.","type":"boolean","default":false},"affect_modifiers":{"description":"Discount applies to the entire item price including modifier ingredients. Defaults to false.","type":"boolean","default":false},"amount":{"description":"Amount of the discount. Defaults to 0.","type":"number","format":"float","minimum":0,"default":0},"amount_type":{"description":"Whether the discount amount is percent or dollar. Defaults to percent.","type":"string","enum":["percent","dollar"],"default":"percent"},"required_items":{"description":"Number of items required need to apply this discount","type":"integer","minimum":0,"default":0},"required_item_tag_id":{"description":"ID of tag used for requires items (base64 encoded). When omitted on PUT, this field resets to no tag(\"\")","type":"string"},"discount_item_tag_id":{"description":"ID of tag used for the discounted item (base64 encoded). When omitted on PUT, this field resets to no tag(\"\")","type":"string"}}},"MenuGroup":{"type":"object","properties":{"id":{"description":"Unique ID of group","type":"string"},"name":{"description":"Name of group","type":"string"},"sections":{"description":"List of sections applied to this group","type":"array","items":{"properties":{"section_id":{"description":"ID of section","type":"string"},"sort_order":{"description":"Indicates the display position of that section within the group","type":"integer"}}}},"available_online":{"description":"Whether the group is available for online ordering","type":"boolean"}}},"CreateMenuGroup":{"type":"object","required":["name","available_online"],"properties":{"name":{"description":"Name of group","type":"string"},"sections":{"description":"List of sections applied to this group","type":"array","items":{"properties":{"section_id":{"description":"ID of section","type":"string"}}}},"available_online":{"description":"Available online","type":"boolean"}}},"ReturnCreateMenuGroup":{"type":"object","properties":{"id":{"description":"Unique ID of group","type":"string"},"name":{"description":"Name of group","type":"string"},"sections":{"description":"List of sections applied to this group","type":"array","items":{"properties":{"section_id":{"description":"ID of section","type":"string"}}}},"available_online":{"description":"Available online","type":"boolean"}}},"PatchMenuGroup":{"type":"object","description":"Partial update payload for a menu group. All fields are optional.","properties":{"name":{"description":"Name of group","type":"string"},"sections":{"description":"List of sections applied to this group","type":"array","items":{"properties":{"section_id":{"description":"ID of section","type":"string"}}}},"available_online":{"description":"Available online","type":"boolean"}}},"PutMenuGroup":{"type":"object","description":"Full replacement payload for a menu group. `name` is required; omitted fields reset to defaults.","required":["name"],"properties":{"name":{"description":"Name of group","type":"string"},"sections":{"description":"List of sections applied to this group. Defaults to `[]` if omitted.","type":"array","default":[],"items":{"properties":{"section_id":{"description":"ID of section","type":"string"}}}},"available_online":{"description":"Available online. Defaults to `true` if omitted.","type":"boolean","default":true}}},"PutMenuGroupResponse":{"type":"object","properties":{"id":{"description":"Unique ID of group","type":"string"},"name":{"description":"Name of group","type":"string"},"sections":{"description":"List of sections applied to this group","type":"array","items":{"properties":{"section_id":{"description":"ID of section","type":"string"}}}},"available_online":{"description":"Available online","type":"boolean"}}},"GetMenuIngredient":{"type":"object","properties":{"id":{"description":"Unique ID of ingredient","type":"string"},"name":{"description":"Name of ingredient","type":"string"},"short_name":{"description":"Short name of ingredient","type":"string"},"available_online":{"description":"Available online","type":"boolean"},"stock":{"description":"In stock or out of stock, signified by either -1 or 0, respectively.","type":"number","format":"integer"},"subitem_id":{"description":"subitem_id","type":"string"},"misc_ingredient":{"description":"Allows the price of the ingredient to be changed as needed within the POS","type":"boolean"},"context_items":{"description":"List of related context items and multipliers","type":"array","items":{"type":"object","properties":{"context_item_id":{"description":"ID of context item","type":"string"},"multiplier":{"description":"Multiplier applied to ingredient in the context item","type":"number","format":"float"}}}}}},"MenuIngredient":{"type":"object","properties":{"id":{"description":"Unique ID of ingredient","type":"string"},"name":{"description":"Name of ingredient","type":"string"},"short_name":{"description":"Short name of ingredient","type":"string"},"available_online":{"description":"Available online","type":"boolean"},"stock":{"description":"In stock or out of stock, signified by either -1 or 0, respectively.","type":"number","format":"integer"},"subitem_id":{"description":"subitem_id","type":"string"},"context_items":{"description":"List of related context items and multipliers","type":"array","items":{"type":"object","properties":{"context_item_id":{"description":"ID of context item","type":"string"},"multiplier":{"description":"Multiplier applied to ingredient in the context item","type":"number","format":"float"}}}}}},"CreateMenuIngredient":{"type":"object","required":["name","available_online","stock"],"properties":{"name":{"description":"Name of ingredient","type":"string"},"short_name":{"description":"Short name of ingredient","type":"string"},"available_online":{"description":"Available online","type":"boolean"},"stock":{"description":"In stock or out of stock, signified by either -1 or 0, respectively.","type":"number","format":"integer"},"subitem_id":{"description":"subitem_id of ingredient","type":"string"},"context_items":{"description":"List of context item associations. Mutually exclusive with subitem_id.","type":"array","items":{"type":"object","required":["context_item_id"],"properties":{"context_item_id":{"type":"string","description":"Base64-encoded context item ID."},"multiplier":{"type":"number","description":"Multiplier (defaults to 1.0 if omitted).","default":1}}}}}},"PutMenuIngredient":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of ingredient","type":"string","minLength":1},"short_name":{"description":"Short name of ingredient. Defaults to \"\" if omitted.","type":"string","default":""},"available_online":{"description":"Available online. Defaults to true if omitted.","type":"boolean","default":true},"stock":{"description":"Stock quantity (-1 = untracked, >= 0 = tracked count). Defaults to -1 if omitted.","type":"integer","minimum":-1,"default":-1},"subitem_id":{"description":"Base64-encoded subitem ID. Format: `item:<numeric_id>`. Pass \"\" or omit to clear. Defaults to \"\" if omitted.","type":"string","default":""},"context_items":{"description":"List of context item associations. Provide empty array or omit to clear. Defaults to [] if omitted.","type":"array","default":[],"items":{"type":"object","required":["context_item_id","multiplier"],"properties":{"context_item_id":{"description":"Base64-encoded context item ID. Format: `contextItem:<numeric_id>`","type":"string"},"multiplier":{"description":"Multiplier applied to ingredient in this context","type":"number"}}}}}},"PatchMenuIngredient":{"type":"object","properties":{"name":{"description":"Name of ingredient","type":"string"},"short_name":{"description":"Short name of ingredient","type":"string"},"available_online":{"description":"Available online","type":"boolean"},"stock":{"description":"Stock quantity (-1 = untracked, >= 0 = tracked count)","type":"number","format":"integer","minimum":-1},"subitem_id":{"description":"Base64-encoded subitem ID. Must reference a valid subitem entity.","type":"string"},"context_items":{"description":"List of context item associations. Omit to leave unchanged; provide empty array to remove all; provide non-empty array to fully replace.","type":"array","items":{"type":"object","required":["context_item_id","multiplier"],"properties":{"context_item_id":{"description":"Base64-encoded context item ID","type":"string"},"multiplier":{"description":"Multiplier applied to ingredient in this context","type":"number"}}}}}},"GetMenuItem":{"type":"object","properties":{"id":{"description":"Unique ID of item","type":"string"},"name":{"description":"Name of item","type":"string"},"short_name":{"description":"Short name of item","type":"string"},"image_URL":{"description":"URL of the image","type":["string","null"],"example":"https://cdn.hrpos.heartland.us/items/cheeseburger.jpg"},"description":{"description":"Description of the item","type":["string","null"]},"sku":{"description":"SKU used for scanning","type":["string","null"]},"price":{"description":"Price of the item","type":"number","format":"float"},"cost":{"description":"Food cost of the item","type":"number","format":"float"},"stock":{"description":"Stock of the item","type":"number","format":"integer"},"tax_type":{"description":"How to calculate tax for this item","type":"string","enum":["taxable","tax_inclusive","tax_exempt"],"example":"taxable"},"non_revenue":{"description":"Item is non-revenue for reporting","type":"boolean"},"measurement_type":{"description":"If weighted, how to measure the weight for this item","type":"string","enum":["per_unit","per_kilogram","per_ounce","per_pound","not_measured","per_minute"],"example":"per_unit"},"tare":{"description":"Tare applied for this item","type":"number","format":"float","minimum":0},"decimal_places":{"description":"Decimal places applied for this item","type":"integer","enum":[0,1,2]},"default_course":{"description":"Default course applied for this item","type":"integer"},"prevent_discounts":{"description":"Item is not allowed to be discounted","type":"boolean"},"misc_item":{"description":"Allows the price of the item to be changed as needed within the POS","type":"boolean"},"hide_on_receipt":{"description":"If price is 0, hide item on the customer receipt","type":"boolean"},"gift_card":{"description":"Item sold as a gift card","type":"boolean"},"tippable":{"description":"Item sales will contribute to service charges, auto-gratuities, and suggested tips","type":"boolean"},"separate_seats":{"description":"Item will be added with a unique seat number","type":"boolean"},"half_pricing":{"description":"Determines how ingredients are priced for half & half modifiers","type":"string","enum":["none","most_expensive","step"],"example":"most_expensive"},"report_category_id":{"description":"ID of assigned report category","type":"string"},"kitchen_group_id":{"description":"ID of assigned kitchen group","type":"string"},"sizes":{"description":"List of assigned sizes","type":"array","items":{"properties":{"item_size_id":{"description":"ID of the size instance on this specific item. The same 'Size' on a different item with share a size_id, but have different item_size_id values.","type":"string"},"size_id":{"description":"ID of assigned size","type":"string"},"price":{"description":"Price of the item size","type":"number","format":"float"},"cost":{"description":"Food cost of the item size","type":"number","format":"float"},"sort_order":{"description":"The order of sizes under the item.","type":"integer"},"is_default":{"description":"Whether this size is the item's default size. Exactly one size is true when a default is configured; all false otherwise. Read-only, derived from POS configuration.","type":"boolean"}}}},"tags":{"description":"List of assigned tags","type":"array","items":{"properties":{"tag_id":{"description":"ID of assigned tag","type":"string"}}}},"attributes":{"description":"List of assigned attributes","type":"array","items":{"properties":{"attribute_id":{"description":"ID of assigned attribute","type":"string"}}}},"modifiers":{"description":"List of assigned modifiers","type":"array","items":{"properties":{"modifier_id":{"description":"ID of assigned modifier","type":"string"},"default_ingredients":{"description":"List of ingredients added by default for this item","type":"array","items":{"properties":{"ingredient_id":{"description":"ID of ingredient","type":"string"}}}},"sort_order":{"description":"The order of modifiers under the item.","type":"integer"}}}},"available_online":{"description":"Whether the item is available for online ordering","type":"boolean"},"alcohol":{"description":"Indicates if item is flagged as an alcohol purchase","type":"boolean"},"button_color":{"description":"Button color for the item","type":"string"}}},"MenuItem":{"type":"object","properties":{"id":{"description":"Unique ID of item","type":"string"},"name":{"description":"Name of item","type":"string"},"short_name":{"description":"Short name of item","type":"string"},"image_URL":{"description":"URL of the image","type":["string","null"],"example":"https://cdn.hrpos.heartland.us/items/cheeseburger.jpg"},"description":{"description":"Description of the item","type":["string","null"]},"sku":{"description":"SKU used for scanning","type":["string","null"]},"price":{"description":"Price of the item","type":"number","format":"float"},"cost":{"description":"Food cost of the item","type":"number","format":"float"},"stock":{"description":"Stock of the item","type":"number","format":"integer"},"tax_type":{"description":"How to calculate tax for this item","type":"string","enum":["taxable","tax_inclusive","tax_exempt"],"example":"taxable"},"non_revenue":{"description":"Item is non-revenue for reporting","type":"boolean"},"measurement_type":{"description":"If weighted, how to measure the weight for this item","type":"string","enum":["per_unit","per_kilogram","per_ounce","per_pound","not_measured","per_minute"],"example":"per_unit"},"default_course":{"description":"Default course applied for this item","type":"integer"},"prevent_discounts":{"description":"Item is not allowed to be discounted","type":"boolean"},"misc_item":{"description":"Allows the price of the item to be changed as needed within the POS","type":"boolean"},"hide_on_receipt":{"description":"If price is 0, hide item on the customer receipt","type":"boolean"},"gift_card":{"description":"Item sold as a gift card","type":"boolean"},"tippable":{"description":"Item sales will contribute to service charges, auto-gratuities, and suggested tips","type":"boolean"},"separate_seats":{"description":"Item will be added with a unique seat number","type":"boolean"},"half_pricing":{"description":"Determines how ingredients are priced for half & half modifiers","type":"string","enum":["none","most_expensive","step"],"example":"most_expensive"},"report_category_id":{"description":"ID of assigned report category","type":"string"},"kitchen_group_id":{"description":"ID of assigned kitchen group","type":"string"},"sizes":{"description":"List of assigned sizes","type":"array","items":{"properties":{"item_size_id":{"description":"ID of the size instance on this specific item. The same 'Size' on a different item with share a size_id, but have different item_size_id values.","type":"string"},"size_id":{"description":"ID of assigned size","type":"string"},"price":{"description":"Price of the item size","type":"number","format":"float"},"cost":{"description":"Food cost of the item size","type":"number","format":"float"},"sort_order":{"description":"The order of sizes under the item.","type":"integer"},"is_default":{"description":"Whether this size is the item's default size. Exactly one size is true when a default is configured; all false otherwise. Read-only, derived from POS configuration.","type":"boolean"}}}},"tags":{"description":"List of assigned tags","type":"array","items":{"properties":{"tag_id":{"description":"ID of assigned tag","type":"string"}}}},"attributes":{"description":"List of assigned attributes","type":"array","items":{"properties":{"attribute_id":{"description":"ID of assigned attribute","type":"string"}}}},"modifiers":{"description":"List of assigned modifiers","type":"array","items":{"properties":{"modifier_id":{"description":"ID of assigned modifier","type":"string"},"default_ingredients":{"description":"List of ingredients added by default for this item","type":"array","items":{"properties":{"ingredient_id":{"description":"ID of ingredient","type":"string"}}}},"sort_order":{"description":"The order of modifiers under the item.","type":"integer"}}}},"available_online":{"description":"Whether the item is available for online ordering","type":"boolean"},"alcohol":{"description":"Indicates if item is flagged as an alcohol purchase","type":"boolean"},"button_color":{"description":"Button color for the item","type":"string"}}},"MenuItemUpdate":{"type":"object","properties":{"description":{"description":"Description of the item","type":"string","example":"A mouth watering description of an item."},"price":{"description":"Price of the item","type":"number","format":"float","example":"10"}}},"MenuItemCreate":{"type":"object","required":["name","price","stock","tax_type","available_online"],"properties":{"name":{"type":"string","description":"Name of the item","example":"Cheeseburger"},"short_name":{"type":"string","description":"Short name of the item","example":"CBG"},"description":{"type":"string","description":"Description of the item","example":"A delicious cheeseburger with melted cheese"},"sku":{"type":"string","description":"Stock Keeping Unit identifier","example":"ITEM-0001"},"price":{"type":"number","format":"float","description":"Price of the item","example":10},"cost":{"type":"number","format":"float","description":"Cost of the item","example":6.5},"stock":{"type":"integer","description":"Stock quantity (-1 means unlimited)","example":100},"tax_type":{"type":"string","enum":["taxable","tax_exempt","tax_inclusive"],"description":"Tax type of the item","example":"taxable"},"non_revenue":{"type":"boolean","description":"Whether the item generates revenue","example":false},"measurement_type":{"type":"string","enum":["not_measured","per_unit","per_pound","per_ounce","per_minute","per_kilogram"],"description":"Measurement type","example":"per_unit"},"tare":{"description":"tare for applied this item","type":"integer","format":"float"},"decimal_places":{"description":"Decimal Places applied for this item","type":"integer","enum":[0,1,2]},"default_course":{"type":"integer","description":"Default course number","example":2},"prevent_discounts":{"type":"boolean","description":"Whether discounts are prevented for this item","example":true},"misc_item":{"type":"boolean","description":"Whether the item is a miscellaneous item","example":false},"hide_on_receipt":{"type":"boolean","description":"Whether to hide the item on receipt","example":false},"gift_card":{"type":"boolean","description":"Whether the item is a gift card","example":false},"tippable":{"type":"boolean","description":"Whether the item is eligible for tips","example":true},"separate_seats":{"type":"boolean","description":"Whether the item should be separated by seat","example":false},"half_pricing":{"type":"string","enum":["none","most_expensive","step"],"description":"Half pricing rule: 'most_expensive' and 'step' are valid strings. Invalid strings are treated as 'None'","example":"most_expensive"},"report_category_id":{"type":"string","description":"Report category ID (base64 encoded)","example":"UmVwb3J0Q2F0ZWdvcnkx"},"kitchen_group_id":{"type":"string","description":"Kitchen group ID (base64 encoded)","example":"S2l0Y2hlbkdwMDE="},"available_online":{"type":"boolean","description":"Whether the item is available for online orders","example":true},"alcohol":{"type":"boolean","description":"Whether the item contains alcohol","example":false},"sizes":{"type":"array","description":"Available sizes (size_id must be unique; at most one size may have is_default set to true)","items":{"type":"object","required":["size_id","price"],"properties":{"size_id":{"type":"string","description":"Size ID (base64 encoded)","example":"U0laRTAx"},"price":{"type":"number","description":"Price for this size","example":12.99},"cost":{"type":"number","description":"Cost for this size","example":8},"is_default":{"type":"boolean","description":"Whether this size is the item's default size. At most one size can be true; defaults to false if omitted.","default":false,"example":true}}}},"tags":{"type":"array","description":"Tags applied to the item (tag_id must be unique)","items":{"type":"object","required":["tag_id"],"properties":{"tag_id":{"type":"string","description":"Tag ID (base64 encoded)","example":"VEFHMDI="}}}},"modifiers":{"type":"array","description":"Modifiers applied to the item (modifier_id must be unique)","items":{"type":"object","required":["modifier_id"],"properties":{"modifier_id":{"type":"string","description":"Modifier ID (base64 encoded)","example":"TW9kaWZpZXIwMQ=="},"excluded_online_item":{"type":"boolean","description":"Whether to exclude this modifier from online orders","example":false},"default_ingredients":{"type":"array","description":"Default ingredients for the modifier (ingredient_id must be unique)","items":{"type":"object","required":["ingredient_id"],"properties":{"ingredient_id":{"type":"string","description":"Ingredient ID (base64 encoded)","example":"SU5HUjAx"}}}},"excluded_online_ingredients":{"type":"array","description":"Ingredients to exclude in online orders (ingredient_id must be unique)","items":{"type":"object","required":["ingredient_id"],"properties":{"ingredient_id":{"type":"string","description":"Ingredient ID (base64 encoded)","example":"SU5HUjAy"}}}}}}},"button_color":{"type":"string","description":"Button color for the item","example":"#FF5733"}}},"PatchMenuItem":{"type":"object","description":"Partial update for a menu item. All fields are optional, but at least one field is required.","properties":{"name":{"type":"string","description":"Name of the item","example":"Cheeseburger"},"short_name":{"type":"string","description":"Short name of the item","example":"CBG"},"description":{"type":"string","description":"Description of the item","example":"A delicious cheeseburger with melted cheese"},"sku":{"type":"string","description":"Stock Keeping Unit identifier","example":"ITEM-0001"},"price":{"type":"number","format":"float","description":"Price of the item","minimum":0,"example":10},"cost":{"type":"number","format":"float","description":"Cost of the item","minimum":0,"example":6.5},"stock":{"type":"integer","description":"Stock quantity (-1 means unlimited)","minimum":-1,"example":100},"tax_type":{"type":"string","enum":["taxable","tax_exempt","tax_inclusive"],"description":"Tax type of the item","example":"taxable"},"non_revenue":{"type":"boolean","description":"Whether the item generates revenue","example":false},"measurement_type":{"type":"string","enum":["not_measured","per_unit","per_pound","per_ounce","per_minute","per_kilogram"],"description":"Measurement type","example":"per_unit"},"tare":{"description":"Tare applied for this item","type":"number","format":"float","minimum":0},"decimal_places":{"description":"Decimal places applied for this item","type":"integer","enum":[0,1,2]},"default_course":{"type":"integer","description":"Default course number","minimum":0,"example":2},"prevent_discounts":{"type":"boolean","description":"Whether discounts are prevented for this item","example":true},"misc_item":{"type":"boolean","description":"Whether the item is a miscellaneous item","example":false},"hide_on_receipt":{"type":"boolean","description":"Whether to hide the item on receipt","example":false},"gift_card":{"type":"boolean","description":"Whether the item is a gift card","example":false},"tippable":{"type":"boolean","description":"Whether the item is eligible for tips","example":true},"separate_seats":{"type":"boolean","description":"Whether the item should be separated by seat","example":false},"half_pricing":{"type":"string","enum":["none","most_expensive","step"],"description":"Half pricing rule: 'most_expensive' and 'step' are valid strings. Invalid strings are treated as 'None'","example":"most_expensive"},"report_category_id":{"type":"string","description":"Report category ID (base64 encoded)","example":"UmVwb3J0Q2F0ZWdvcnkx"},"kitchen_group_id":{"type":"string","description":"Kitchen group ID (base64 encoded)","example":"S2l0Y2hlbkdwMDE="},"available_online":{"type":"boolean","description":"Whether the item is available for online orders","example":true},"alcohol":{"type":"boolean","description":"Whether the item contains alcohol","example":false},"sizes":{"type":"array","description":"Available sizes (size_id must be unique; at most one size may have is_default set to true). Omit to leave unchanged; provide an array to replace existing size assignments.","items":{"type":"object","required":["size_id"],"properties":{"size_id":{"type":"string","description":"Size ID (base64 encoded)","example":"U0laRTAx"},"price":{"type":"number","description":"Price for this size","minimum":0,"example":12.99},"cost":{"type":"number","description":"Cost for this size","minimum":0,"example":8},"is_default":{"type":"boolean","description":"Whether this size is the item's default size. At most one size can be true; defaults to false if omitted.","default":false,"example":true}}}},"tags":{"type":"array","description":"Tags applied to the item (tag_id must be unique). Omit to leave unchanged; provide an array to replace existing tags.","items":{"type":"object","required":["tag_id"],"properties":{"tag_id":{"type":"string","description":"Tag ID (base64 encoded)","example":"VEFHMDI="}}}},"modifiers":{"type":"array","description":"Modifiers applied to the item (modifier_id must be unique). Omit to leave unchanged; provide an array to replace existing modifiers.","items":{"type":"object","required":["modifier_id"],"properties":{"modifier_id":{"type":"string","description":"Modifier ID (base64 encoded)","example":"TW9kaWZpZXIwMQ=="},"excluded_online_item":{"type":"boolean","description":"Whether to exclude this modifier from online orders","example":false},"default_ingredients":{"type":"array","description":"Default ingredients for the modifier (ingredient_id must be unique)","items":{"type":"object","required":["ingredient_id"],"properties":{"ingredient_id":{"type":"string","description":"Ingredient ID (base64 encoded)","example":"SU5HUjAx"}}}},"excluded_online_ingredients":{"type":"array","description":"Ingredients to exclude in online orders (ingredient_id must be unique)","items":{"type":"object","required":["ingredient_id"],"properties":{"ingredient_id":{"type":"string","description":"Ingredient ID (base64 encoded)","example":"SU5HUjAy"}}}}}}},"button_color":{"type":"string","description":"Button color for the item. Must be a six-digit hex color.","example":"#FF5733"}}},"MenuKitchenGroup":{"type":"object","properties":{"id":{"description":"Unique ID of kitchen group","type":"string"},"name":{"description":"Name of kitchen group","type":"string"}}},"CreateMenuKitchenGroup":{"type":"object","description":"Payload for creating a kitchen group.","required":["name"],"properties":{"name":{"description":"Name of kitchen group","type":"string","minLength":1}}},"PutMenuKitchenGroup":{"type":"object","description":"PUT payload for a kitchen group. `name` is required.","required":["name"],"properties":{"name":{"description":"Name of kitchen group","type":"string","minLength":1}},"additionalProperties":false},"PatchMenuKitchenGroup":{"type":"object","description":"PATCH payload for a kitchen group. All fields are optional.","properties":{"name":{"description":"Name of kitchen group","type":"string","minLength":1}},"additionalProperties":false},"MenuModifier":{"type":"object","properties":{"id":{"description":"Unique ID of modifier","type":"string"},"name":{"description":"Name of modifier","type":"string"},"min_choices":{"description":"Minimum number of ingredients required","type":"integer"},"max_choices":{"description":"Minimum number of ingredients allowed","type":"integer"},"allow_substitutes":{"description":"allow substitutes modifiers","type":"boolean"},"included_ingredients":{"description":"Number of included ingredients before the price changes","type":"integer"},"allow_duplicate_ingredients":{"description":"Allows the same ingredient to be selected more than once","type":"boolean"},"half_and_half":{"description":"indicates whether the modifier is configured with Half & Half behavior","type":"boolean"},"ingredients":{"description":"List of available ingredients","type":"array","items":{"properties":{"ingredient_id":{"description":"ID of ingredient","type":"string"},"price":{"description":"Price of ingredient","type":"number","format":"float"},"size_prices":{"description":"List of price overrides by size","type":"array","items":{"properties":{"size_id":{"description":"ID of size","type":"string"},"price":{"description":"Price of ingredient for size","type":"number","format":"float"}}}},"sort_order":{"description":"Indicates the display position of that ingredient within the modifier.","type":"integer"}}}},"available_online":{"description":"Allows this modifier to be seen by customers online","type":"boolean"},"button_color":{"description":"Button color for the modifier","type":"string"}}},"PutMenuModifierResponse":{"type":"object","properties":{"id":{"description":"Unique ID of modifier","type":"string"},"name":{"description":"Name of modifier","type":"string"},"min_choices":{"description":"Minimum number of ingredients required","type":"integer"},"max_choices":{"description":"Maximum number of ingredients allowed","type":"integer"},"included_ingredients":{"description":"Number of included ingredients before the price changes","type":"integer"},"allow_duplicate_ingredients":{"description":"Allows the same ingredient to be selected more than once","type":"boolean"},"available_online":{"description":"Allows this modifier to be seen by customers online","type":"boolean"},"ingredients":{"description":"List of available ingredients","type":"array","items":{"properties":{"ingredient_id":{"description":"ID of ingredient","type":"string"},"price":{"description":"Price of ingredient","type":"number","format":"float"},"size_prices":{"description":"List of price overrides by size","type":"array","items":{"properties":{"size_id":{"description":"ID of size","type":"string"},"price":{"description":"Price of ingredient for size","type":"number","format":"float"}}}}}}},"button_color":{"description":"Button color for the modifier","type":"string"}}},"MenuModifierResponse":{"type":"object","properties":{"id":{"description":"Unique ID of modifier","type":"string"}}},"MenuItemResponse":{"type":"object","properties":{"id":{"description":"Unique ID of menu item","type":"string"}}},"CreateMenuModifier":{"type":"object","required":["name","min_choices","max_choices","included_ingredients","allow_duplicate_ingredients","available_online","ingredients"],"properties":{"name":{"description":"Name of modifier","type":"string"},"min_choices":{"description":"Minimum number of ingredients required","type":"integer"},"max_choices":{"description":"Maximum number of ingredients allowed","type":"integer"},"included_ingredients":{"description":"Number of included ingredients before the price changes","type":"integer"},"allow_duplicate_ingredients":{"description":"allow duplicate ingredients","type":"boolean"},"available_online":{"description":"Available online","type":"boolean"},"ingredients":{"description":"List of available ingredients","type":"array","minItems":1,"items":{"properties":{"ingredient_id":{"description":"ID of ingredient","type":"string"},"price":{"description":"Price of ingredient","type":"number","format":"float"},"size_prices":{"description":"List of price overrides by size","type":"array","items":{"properties":{"size_id":{"description":"ID of size","type":"string"},"price":{"description":"Price of ingredient for size","type":"number","format":"float"}}}}}}},"button_color":{"description":"Button color for the modifier","type":"string","example":"#FF5733"}}},"PatchMenuModifier":{"type":"object","description":"Patch payload for an existing modifier. All fields are optional, only fields present in the request body are updated.","properties":{"name":{"description":"Name of modifier","type":"string"},"min_choices":{"description":"Minimum number of ingredients required","type":"integer","minimum":0},"max_choices":{"description":"Maximum number of ingredients allowed. Must be greater than or equal to `min_choices` when both are provided.","type":"integer","minimum":0},"included_ingredients":{"description":"Number of included ingredients before the price changes","type":"integer","minimum":0},"allow_duplicate_ingredients":{"description":"Allow duplicate ingredients","type":"boolean"},"available_online":{"description":"Available online","type":"boolean"},"ingredients":{"description":"List of ingredients to assign to this modifier. When present, fully replaces the existing ingredient list (and their `size_prices`). When present but empty, removes all existing ingredient assignments. When omitted, existing ingredient assignments remain unchanged.","type":"array","items":{"type":"object","required":["ingredient_id"],"properties":{"ingredient_id":{"description":"ID of ingredient","type":"string"},"price":{"description":"Price of ingredient","type":"number","format":"float"},"size_prices":{"description":"List of price overrides by size","type":"array","items":{"type":"object","required":["size_id"],"properties":{"size_id":{"description":"ID of size","type":"string"},"price":{"description":"Price of ingredient for size","type":"number","format":"float"}}}}}}},"button_color":{"description":"Button color for the modifier","type":"string","example":"#FF5733"}}},"PutMenuModifier":{"type":"object","description":"PUT payload for a modifier. `name` is required. All other fields are optional and default to their initial values when omitted.","required":["name"],"properties":{"name":{"description":"Name of modifier","type":"string"},"min_choices":{"description":"Minimum number of ingredients required. Defaults to `0`.","type":"integer","minimum":0,"default":0},"max_choices":{"description":"Maximum number of ingredients allowed. Must be >= `min_choices` when both provided. Defaults to `0`.","type":"integer","minimum":0,"default":0},"included_ingredients":{"description":"Number of included ingredients before price changes. Defaults to `0`.","type":"integer","minimum":0,"default":0},"allow_duplicate_ingredients":{"description":"Allow duplicate ingredients. Defaults to `false`.","type":"boolean","default":false},"available_online":{"description":"Available online. Defaults to `true`.","type":"boolean","default":true},"ingredients":{"description":"List of ingredients to assign. Fully replaces the existing ingredient list (including `size_prices`). Defaults to `[]` (clears all existing ingredient assignments when omitted).","type":"array","default":[],"items":{"type":"object","required":["ingredient_id"],"properties":{"ingredient_id":{"description":"ID of ingredient","type":"string"},"price":{"description":"Price of ingredient. Defaults to `0`.","type":"number","format":"float","default":0},"size_prices":{"description":"List of price overrides by size","type":"array","items":{"type":"object","required":["size_id"],"properties":{"size_id":{"description":"ID of size","type":"string"},"price":{"description":"Price of ingredient for size. Defaults to `0`.","type":"number","format":"float","default":0}}}}}}},"button_color":{"description":"Button color for the modifier as a 6-digit hex code. Defaults to `#00755A`.","type":"string","pattern":"^#[A-Fa-f0-9]{6}$","default":"#00755A","example":"#FF5733"}}},"MenuReportCategory":{"type":"object","properties":{"id":{"description":"Unique ID of report category","type":"string"},"name":{"description":"Name of report category","type":"string"}}},"PatchMenuReportCategory":{"type":"object","description":"Partial update for a report category.","additionalProperties":false,"properties":{"name":{"description":"Name of report category","type":"string","minLength":1}}},"PutMenuReportCategory":{"type":"object","required":["name"],"additionalProperties":false,"properties":{"name":{"description":"Name of report category","type":"string","minLength":1}}},"MenuSection":{"type":"object","properties":{"id":{"description":"Unique ID of section","type":"string"},"name":{"description":"Name of section","type":"string"},"items":{"description":"List of assigned items","type":"array","items":{"properties":{"item_id":{"description":"ID of assigned item","type":"string"},"sort_order":{"description":"Indicates the display position of that item within the section.","type":"integer"}}}},"available_online":{"description":"Whether the section is available for online ordering","type":"boolean"}}},"CreateMenuSection":{"type":"object","required":["name","available_online"],"properties":{"name":{"description":"Name of section","type":"string"},"items":{"description":"List of assigned items","type":"array","items":{"properties":{"item_id":{"description":"ID of assigned item","type":"string"}}}},"available_online":{"description":"Available online","type":"boolean"}}},"ResponseMenuSection":{"type":"object","properties":{"id":{"description":"Unique ID of section","type":"string"}}},"PatchMenuSection":{"type":"object","description":"At least one field must be provided.","properties":{"name":{"description":"Name of section (non-empty string)","type":"string","minLength":1},"items":{"description":"List of items to assign. Omit to leave unchanged; empty array clears all; non-empty replaces with 0-based sort_order.","type":"array","items":{"type":"object","required":["item_id"],"properties":{"item_id":{"description":"Base64-encoded item ID","type":"string"}}}},"available_online":{"description":"Whether the section is available for online ordering","type":"boolean"}},"additionalProperties":false},"PutMenuSection":{"type":"object","description":"Full replacement body for a section. `name` is required; omitted optional fields reset to defaults (`items`: [], `available_online`: true).","required":["name"],"properties":{"name":{"description":"Name of section (non-empty string)","type":"string","minLength":1},"items":{"description":"List of items to assign. Defaults to empty array if omitted.","type":"array","default":[],"items":{"type":"object","required":["item_id"],"properties":{"item_id":{"description":"Base64-encoded item ID","type":"string"}}}},"available_online":{"description":"Whether the section is available for online ordering. Defaults to true if omitted.","type":"boolean","default":true}},"additionalProperties":false},"MenuRevenueCenter":{"type":"object","properties":{"id":{"description":"Unique ID of revenue center","type":"string"},"name":{"description":"Name of revenue center","type":"string"}}},"CreateRevenueCenters":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of revenue center","type":"string"}}},"ResponseRevenueCenters":{"type":"object","properties":{"id":{"description":"Unique ID of revenue center","type":"string"}}},"MenuSize":{"type":"object","properties":{"id":{"description":"Unique ID of size","type":"string"},"name":{"description":"Name of size","type":"string"},"short_name":{"description":"Short name of size","type":"string"},"available_online":{"description":"Available online","type":"boolean"}}},"MenuSizeResponse":{"type":"object","properties":{"id":{"description":"Unique ID of size","type":"string"}}},"CreateMenuSize":{"type":"object","required":["name","available_online"],"properties":{"name":{"description":"Name of size","type":"string","example":"size1"},"short_name":{"description":"Short name of size","type":"string","example":"short name1"},"available_online":{"description":"Available online","type":"boolean"}}},"UpdateMenuSize":{"type":"object","properties":{"name":{"description":"Name of size","type":"string","example":"size1"},"short_name":{"description":"Short name of size","type":"string","example":"short name1"}}},"PatchMenuSize":{"type":"object","properties":{"name":{"description":"Name of size","type":"string","example":"size1"},"short_name":{"description":"Short name of size","type":"string","example":"short name1"},"available_online":{"description":"Available online","type":"boolean"}}},"PutMenuSize":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of size","type":"string","example":"Large"},"short_name":{"description":"Short name of size. Defaults to \"\" if omitted.","type":"string","default":"","example":"LG"},"available_online":{"description":"Available online. Defaults to true if omitted.","type":"boolean","default":true}}},"PutMenuSizeResponse":{"type":"object","properties":{"id":{"description":"Unique ID of size","type":"string"},"name":{"description":"Name of size","type":"string"},"short_name":{"description":"Short name of size","type":"string"},"available_online":{"description":"Available online","type":"boolean"}}},"MenuTag":{"type":"object","properties":{"id":{"description":"Unique ID of tag","type":"string"},"name":{"description":"Name of tag","type":"string"}}},"PatchMenuTag":{"type":"object","properties":{"name":{"description":"Name of the tag. When omitted, current value is unchanged.","type":"string"}}},"PutMenuTag":{"type":"object","additionalProperties":false,"required":["name"],"properties":{"name":{"description":"Name of tag","type":"string","minLength":1}}},"MenuTax":{"type":"object","properties":{"id":{"description":"Unique ID of tax","type":"string"},"name":{"description":"Name of tax","type":"string"},"rate":{"description":"Percentage rate of the tax","type":"number","format":"float"}}},"PatchMenuTax":{"type":"object","additionalProperties":false,"properties":{"name":{"description":"Name of tax","type":"string","minLength":1},"rate":{"description":"Percentage rate of the tax","type":"number","format":"float"}}},"PutMenuTax":{"type":"object","additionalProperties":false,"required":["name"],"properties":{"name":{"description":"Name of tax","type":"string","minLength":1},"rate":{"description":"Percentage rate of the tax. Defaults to 0 if omitted.","type":"number","format":"float","minimum":0,"default":0}}},"MenuDayparts":{"type":"object","properties":{"id":{"description":"Unique ID of Dayparts","type":"string"},"name":{"description":"Name of Dayparts","type":"string"}}},"CreateMenuDayparts":{"type":"object","required":["name"],"properties":{"name":{"description":"Name of Dayparts","type":"string"}}},"UpdateMenuDayparts":{"type":"object","properties":{"name":{"description":"Name of Dayparts","type":"string"}}},"PutMenuDayparts":{"type":"object","description":"Full replacement body for a daypart. `name` is required.","required":["name"],"properties":{"name":{"description":"Name of daypart","type":"string","minLength":1}},"additionalProperties":false},"PatchMenuDayparts":{"type":"object","properties":{"name":{"description":"Name of daypart","type":"string","minLength":1}}},"OrderTypeStatus":{"type":"object","properties":{"type":{"description":"Order type identifier. Matches the `order_type` field used in POST /v2/orders.","type":"string","enum":["carryout","delivery","eat-in"]},"accepting":{"description":"Whether this order type is currently accepting orders. True only when the order type is enabled and the order type is currently in an active window.","type":"boolean"},"prep_time_minutes":{"description":"Estimated preparation time in minutes for this order type. Included even when `accepting` is false so integrators can display estimated wait times before a scheduled window opens.","type":"integer"}}},"OrderStatus":{"type":"object","properties":{"assigned_tablet":{"description":"Whether a submit device (tablet) is configured for this store.","type":"boolean"},"tablet_status":{"description":"Current connection status of the assigned tablet.","type":"string","enum":["connected","disconnected"]},"can_receive_orders":{"description":"True only when a tablet is assigned and currently connected.","type":"boolean"},"order_types":{"description":"Order types this store supports, each with current accepting status and prep time. Use `can_receive_orders && accepting` as the definitive safe-to-send signal.","type":"array","items":{"$ref":"#/components/schemas/OrderTypeStatus"}}}},"Order":{"type":"object","properties":{"subtotal":{"description":"Order subtotal before taxes","type":"number"},"total":{"description":"Order total including taxes","type":"number"},"ticket_number":{"description":"order's ticket number","type":"string"},"staff_id":{"description":"Numeric ID of the staff member who owns the order","type":"integer"},"status":{"description":"Numeric status of the order","type":"integer","enum":[0,1,2,3],"x-enumNames":["Open","Closed","Cancelled","Discarded"],"example":1},"ticket_status":{"description":"Text status of the order derived from the numeric status","type":"string","enum":["Open","Closed","Cancelled","Discarded"],"example":"Closed"},"guest_count":{"description":"Number of guests on the order","type":"integer"},"room_id":{"description":"Numeric ID of the room associated with the order","type":"integer"},"partner_order_id":{"description":"Partner-assigned order ID, if provided at order creation","type":"string","nullable":true},"customer_info":{"description":"Customer contact and delivery address information. Address fields are not populated for orders placed on the POS.","type":"object","properties":{"name":{"type":"string"},"phone":{"type":"string"},"email":{"type":"string"},"address":{"type":"string"},"suite":{"type":"string"},"city":{"type":"string"},"state":{"type":"string"},"zip":{"type":"string"}}},"id":{"description":"Ticket graphId (ticket prefix)","type":"string"},"opened_dt":{"description":"ISO 8601 datetime when the order was opened. Empty string if not available.","type":"string","example":"2026-06-30T15:47:17+00:00"},"closed_dt":{"description":"ISO 8601 datetime when the order was closed. Empty string if still open.","type":"string","example":"2026-06-30T16:31:02+00:00"},"job_type_id":{"description":"GraphId of the job type. Empty string if not set.","type":"string"},"created_by_staff_id":{"description":"GraphId of the staff member who created the order","type":"string"},"daypart_id":{"description":"GraphId of the daypart at order close time. Empty string if order is still open or no matching daypart found.","type":"string"},"seat_count":{"description":"Number of distinct seats on the order","type":"integer"},"paid_status":{"description":"Payment status of the order","type":"string","enum":["unpaid","partial_payment","paid_in_full","not_refunded","partial_refund","refunded_in_full"]},"business_name":{"description":"Business name associated with the order. Returns the string \"null\" when not set.","type":"string"},"delivery_instructions":{"description":"Delivery instructions provided by the customer. Not populated for orders placed on the POS.","type":"string"},"promise_dt":{"description":"Unix timestamp (as string) of the promised pickup/delivery time. Null if not set, or for orders placed on the POS.","type":"string","nullable":true,"example":"1782836400"},"table":{"description":"Table assigned to the order. For POS (dine-in) orders the id returns the order's table graphId; the name is not populated. Both fields return the string \"null\" when no table is assigned.","type":"object","properties":{"id":{"description":"Table graphId or the string \"null\"","type":"string"},"name":{"description":"Table name or the string \"null\"","type":"string"}}},"revenue_center_id":{"description":"GraphId of the revenue center associated with the order's room. Null if none.","type":"string","nullable":true},"alternate_id":{"description":"Alternate order ID (e.g. from a third-party integration). Returns the string \"null\" when not set.","type":"string"},"net_sales":{"description":"Net sales amount as a decimal string","type":"string","example":"12.00"},"gross_sales":{"description":"Gross sales amount as a decimal string","type":"string","example":"12.00"},"tax_exempt":{"description":"Whether the order is tax exempt","type":"string","enum":["true","false"]},"adjustments":{"type":"array","items":{"type":"object","properties":{"adjustmentName":{"description":"Display name of the adjustment","type":"string"},"total":{"description":"Adjustment total amount","type":"string"},"id":{"description":"GraphId of the ticket adjustment record","type":"string"},"added_dt":{"description":"ISO 8601 datetime when the adjustment was added","type":"string"},"voided_dt":{"description":"ISO 8601 datetime when the adjustment was voided. Empty string if not voided.","type":"string"},"adjustment_id":{"description":"GraphId of the adjustment type","type":"string"},"non_revenue":{"description":"Whether the adjustment is non-revenue","type":"string","enum":["true","false"]},"tax_exempt":{"description":"Whether the adjustment is tax exempt","type":"string","enum":["true","false"]},"service_charge":{"description":"Whether the adjustment is a service charge / gratuity","type":"string","enum":["true","false"]}}}},"items":{"type":"array","items":{"type":"object","properties":{"itemName":{"description":"Display name of the item","type":"string"},"subtotal":{"description":"Item subtotal","type":"number"},"total":{"description":"Item total","type":"number"},"id":{"description":"GraphId of the ticket item record","type":"string"},"added_dt":{"description":"ISO 8601 datetime when the item was added","type":"string"},"description":{"description":"Menu item description","type":"string"},"voided_dt":{"description":"ISO 8601 datetime when the item was voided. Empty string if not voided.","type":"string"},"void_staff_id":{"description":"GraphId of the staff member who voided the item","type":"string"},"course":{"description":"Course number of the item","type":"integer"},"seat":{"description":"Seat number of the item","type":"integer"},"item_id":{"description":"GraphId of the menu item","type":"string"},"size_id":{"description":"GraphId of the item size","type":"string"},"section_id":{"description":"GraphId of the menu section","type":"string"},"group_id":{"description":"GraphId of the menu group","type":"string"},"discount_id":{"description":"GraphId of the applied discount","type":"string"},"discount_price":{"description":"Discount amount applied to this item","type":"string"},"auto_discount_price":{"description":"Auto-applied discount amount","type":"string"},"sub_item":{"description":"Whether this item is a sub-item","type":"string","enum":["true","false"]},"parent_id":{"description":"GraphId of the parent item if this is a sub-item. Empty string otherwise.","type":"string"},"non_revenue":{"description":"Whether the item is non-revenue","type":"string","enum":["true","false"]},"tax_exempt":{"description":"Whether the item is tax exempt","type":"string","enum":["true","false"]},"quantity":{"description":"Quantity of the item","type":"integer"},"measured_amount":{"description":"Measured weight/time amount for weighted items. 0 for non-weighted items.","type":"number"},"measurement_type":{"description":"Unit of measurement for weighted items","type":"string","enum":["not_measured","per_unit","per_pound","per_ounce","per_minute","unknown"]},"cost":{"description":"Plate cost of the item","type":"string"},"net_sales":{"description":"Net sales amount for this item","type":"string"},"gross_sales":{"description":"Gross sales amount for this item","type":"string"},"gift_card":{"description":"Whether the item is a gift card","type":"string","enum":["true","false"]}}}},"taxes":{"type":"array","items":{"type":"object","properties":{"price":{"description":"Tax amount","type":"number"},"id":{"description":"GraphId of the ticket tax record","type":"string"},"name":{"description":"Tax name from the location tax configuration","type":"string"},"tax_id":{"description":"GraphId of the tax configuration","type":"string"},"total_inclusive":{"description":"Inclusive tax amount (tax already included in item price)","type":"string"}}}},"transactions":{"type":"array","items":{"type":"object","properties":{"amount":{"description":"Transaction amount","type":"number"},"tip":{"description":"Tip amount","type":"number"},"total":{"description":"Transaction total including tip","type":"number"},"id":{"description":"GraphId of the ticket transaction record","type":"string"},"added_dt":{"description":"ISO 8601 datetime when the transaction was added","type":"string"},"void_dt":{"description":"ISO 8601 datetime when the transaction was voided. Empty string if not voided.","type":"string"},"staff_id":{"description":"GraphId of the staff member who processed the transaction","type":"string"},"type":{"description":"Payment method type","type":"string","enum":["cash","credit_card","house_account","gift_card","debit_card","unknown"]},"status":{"description":"Transaction status","type":"string","enum":["sale","void","capture","auth","adjust"]},"card_type":{"description":"Card brand for credit/debit transactions","type":"string"},"card_num":{"description":"Masked card number","type":"integer","nullable":true},"card_name":{"description":"Cardholder name","type":"string","nullable":true},"house_account_id":{"description":"GraphId of the house account used for payment","type":"string"},"ref":{"description":"Payment processor reference number","type":"integer","nullable":true},"additional_info":{"description":"Additional payment reference information","type":"object","properties":{"reference":{"description":"Capture/settle reference number from the payment processor. Null if not yet captured.","type":"integer","nullable":true}}}}}},"ingredients":{"description":"All active modifier ingredients across all items on the order","type":"array","items":{"type":"object","properties":{"id":{"description":"GraphId of the ticket ingredient record","type":"string"},"name":{"description":"Ingredient name","type":"string"},"added_dt":{"description":"ISO 8601 datetime when the ingredient was added. Empty string if not available.","type":"string"},"void_dt":{"description":"ISO 8601 datetime when the ingredient was removed. Empty string if still active.","type":"string"},"ticket_item_id":{"description":"GraphId of the parent ticket item","type":"string"},"item_id":{"description":"GraphId of the menu item this ingredient belongs to","type":"string"},"size_id":{"description":"GraphId of the item size","type":"string"},"section_id":{"description":"GraphId of the menu section","type":"string"},"group_id":{"description":"GraphId of the menu group","type":"string"},"modifier_id":{"description":"GraphId of the modifier template this ingredient belongs to","type":"string"},"ingredient_id":{"description":"GraphId of the menu ingredient","type":"string"},"default_on":{"description":"Whether the ingredient is enabled by default","type":"string","enum":["true","false"]},"price":{"description":"Price of the ingredient as a decimal string","type":"string","example":"0.00"}}}},"removed_ingredients":{"description":"Modifier ingredients that were removed (disabled) from items on the order","type":"array","items":{"type":"object","properties":{"id":{"description":"GraphId of the ticket ingredient record","type":"string"},"name":{"description":"Ingredient name","type":"string"},"added_dt":{"description":"ISO 8601 datetime when the ingredient was added. Empty string if not available.","type":"string"},"void_dt":{"description":"ISO 8601 datetime when the ingredient was removed. Empty string if still active.","type":"string"},"ticket_item_id":{"description":"GraphId of the parent ticket item","type":"string"},"item_id":{"description":"GraphId of the menu item this ingredient belongs to","type":"string"},"size_id":{"description":"GraphId of the item size","type":"string"},"section_id":{"description":"GraphId of the menu section","type":"string"},"group_id":{"description":"GraphId of the menu group","type":"string"},"modifier_id":{"description":"GraphId of the modifier template this ingredient belongs to","type":"string"},"ingredient_id":{"description":"GraphId of the menu ingredient","type":"string"},"default_on":{"description":"Whether the ingredient is enabled by default","type":"string","enum":["true","false"]},"price":{"description":"Price of the ingredient as a decimal string","type":"string","example":"0.00"}}}}}},"OrderItem":{"type":"object","required":["id"],"properties":{"id":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/items`, in the form `base64(\"item:<ItemID>\")`.","type":"string"},"quantity":{"description":"How many items of the same description.","type":"number","default":1},"measured_amount":{"description":"How weight items of measured item.","type":"number","default":1},"modifiers":{"description":"Array of modifier objects.","type":"array","items":{"$ref":"#/components/schemas/OrderModifier"}},"special_request":{"description":"Additional request for the item. Truncated to 150 characters.","type":"string"},"size":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/sizes`, in the form `base64(\"size:<SizeID>\")`.","type":"string"},"misc_item":{"type":"object","properties":{"misc_name":{"description":"Name for the miscellaneous item.","type":"string","default":"Misc Item"},"misc_price":{"description":"Price for the miscellaneous item.","type":"number","default":1}}}}},"OrderModifier":{"type":"object","required":["ingredient_id","modifier_id"],"properties":{"ingredient_id":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/ingredients`, in the form `base64(\"ingredient:<IngredientID>\")`.","type":"string"},"modifier_id":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/modifiers`, in the form `base64(\"modifier:<ModifierID>\")`.","type":"string"},"segment_id":{"description":"Left or Right half of the item, signified by either -1 or -2, respectively.","type":"number","enum":[-1,-2]},"context_id":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/contextItems`, in the form `base64(\"contextItem:<ContextItemID>\")`. Supported for this modifier and any nested modifier layers when modifiers are recursively nested.","type":"string"},"subitem":{"description":"Order item linked to this modifier or ingredient.","type":"object","properties":{"id":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/items`, in the form `base64(\"item:<ItemID>\")`.","type":"string"},"modifiers":{"description":"Array of modifier objects.","type":"array","items":{"type":"object","properties":{"ingredient_id":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/ingredients`, in the form `base64(\"ingredient:<IngredientID>\")`.","type":"string"},"modifier_id":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/modifiers`, in the form `base64(\"modifier:<ModifierID>\")`.","type":"string"}}}}}}}},"Orders":{"type":"object","required":["customer_info","items"],"properties":{"customer_info":{"description":"Information about the customer the order is being placed for.","type":"object","required":["name","phone"],"properties":{"name":{"description":"Customer Name.","type":"string"},"phone":{"description":"Customer Phone number Can be used to identify the customer for loyalty purposes.","type":"string"},"email":{"description":"Customer Email Address. Can be used to identify the customer for loyalty purposes.","type":"string"},"address":{"description":"Customer Address. Only required for `order_type` 'delivery'.","type":"string"},"suite":{"description":"Customer Suite.","type":"string"},"city":{"description":"Customer City. Only required for `order_type` 'delivery'.","type":"string"},"state":{"description":"Customer State. Only required for `order_type` 'delivery'.","type":"string"},"zip":{"description":"Customer Zip. Only required for `order_type` 'delivery'.","type":"string"}}},"discounts":{"type":"array","required":["discount_id"],"items":{"properties":{"discount_id":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/adjustments`, in the form `base64(\"adjustment:<AdjustmentID>\")`, where `service_charge` = `false`.","type":"string"},"item_id":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/items`, in the form `base64(\"item:<ItemID>\")`, identifying the item to which the discount applies.","type":"string"},"amount":{"description":"Dollar amount of the discount. If the adjustment is a percent, this field will be ignored. The default amount is applied if no amount given. If amount given, ensure that it is within the `adjustments object` `min_amount ` & `max_amount`, inclusive.","type":"number"}}}},"drive_time":{"description":"Estimated time for a driver to arrive at the location to pickup the order, in seconds.","type":"number","default":0},"items":{"description":"Array of Item, Modifier, Segment, and Context objects for the Order.","type":"array","items":{"$ref":"#/components/schemas/OrderItem"}},"order_notes":{"description":"Notes for the order as a whole. Generally used for 'Delivery Instructions'. Truncated to 200 characters.","type":"string"},"order_type":{"description":"The type of order. Most orders will use either 'carryout' or 'delivery'. The type will be defaulted to 'carryout' if not given.","type":"string","default":"carryout","enum":["carryout","delivery","egift","eat-in"]},"payment":{"description":"The order payment details. The order payment will be defaulted to 'unpaid' if not given.","type":"object","required":["payment_option"],"properties":{"payment_option":{"description":"Base64-encoded GraphQL ID returned by `/v2/setup/houseAccounts`, in the form `base64(\"houseAccount:<HouseAccountID>\")`, or `unpaid`.","type":"string","default":"unpaid"},"tip":{"description":"Amount to tip, to be calcuated into the order.","type":"number","default":0}}},"promise_time":{"description":"The earliest time when the order should be available for pickup. Expressed in seconds since epoch/unix time.","type":"number","default":"As Soon as Possible e.g. `now`."},"room_id":{"description":"Base64-encoded GraphQL ID returned by `/v2/setup/rooms`, in the form `base64(\"room:<RoomID>\")`. Used to override the default room for the order type.","type":"string","default":"Room ID default for the order_type."},"service_charges":{"description":"Charges that can be applied to the order. Auto-applied service charges should not be given.","type":"array","required":["service_charge_id"],"items":{"properties":{"service_charge_id":{"description":"Base64-encoded GraphQL ID returned by `/v2/menu/adjustments`, in the form `base64(\"adjustment:<AdjustmentID>\")`, where `service_charge` = `true`.","type":"string"},"amount":{"description":"Amount for the service charge","type":"number"}}}},"table_id":{"description":"Base64-encoded GraphQL ID for the table, in the form `base64(\"table:<TableID>\")`.","type":"string"},"skip_address_verification":{"default":false,"description":"Determine whether to bypass address verification","type":"boolean"},"guest_count":{"description":"Number of guests for the order. Must be a non-negative integer. Defaults to 1 if not provided.","type":"integer","minimum":0},"partner_order_id":{"description":"An idempotency key supplied by the integration partner to prevent duplicate orders. Must be a non-empty string. Values exceeding 255 characters are silently truncated to 255 before storage. Requires an integration partner API key. Returns 409 if an order with the same `partner_order_id` already exists for this merchant.","type":"string","maxLength":255}}},"PaginatedTicketItemsResponse":{"type":"object","description":"Paginated response format returned when page and limit query parameters are provided","properties":{"data":{"description":"Array of ticket items for the current page","type":"array","items":{"$ref":"#/components/schemas/TicketItem"}},"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}},"required":["data","pagination"]},"PaginatedTicketIngredientsResponse":{"type":"object","description":"Paginated response format returned when page and limit query parameters are provided","properties":{"data":{"description":"Array of ticket ingredients for the current page","type":"array","items":{"$ref":"#/components/schemas/TicketIngredient"}},"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}},"required":["data","pagination"]},"PaginatedTicketInfoResponse":{"type":"object","description":"Paginated response format returned when page and/or limit query parameters are provided","properties":{"data":{"description":"Array of tickets for the current page","type":"array","items":{"$ref":"#/components/schemas/Ticket"}},"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}},"required":["data","pagination"]},"PaginatedTicketAdjustmentsResponse":{"type":"object","description":"Paginated response format returned when page and limit query parameters are provided","properties":{"data":{"description":"Array of ticket adjustments for the current page","type":"array","items":{"$ref":"#/components/schemas/TicketAdjustment"}},"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}},"required":["data","pagination"]},"PaginatedTicketTaxesResponse":{"type":"object","description":"Paginated response format returned when page and limit query parameters are provided","properties":{"data":{"description":"Array of ticket taxes for the current page","type":"array","items":{"$ref":"#/components/schemas/TicketTax"}},"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}},"required":["data","pagination"]},"PaginatedTicketSurchargesResponse":{"type":"object","description":"Paginated response format returned when page and limit query parameters are provided","properties":{"data":{"description":"Array of ticket surcharges for the current page","type":"array","items":{"$ref":"#/components/schemas/TicketSurcharge"}},"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}},"required":["data","pagination"]},"PaginatedTicketTransactionsResponse":{"type":"object","description":"Paginated response format returned when page and limit query parameters are provided","properties":{"data":{"description":"Array of ticket transactions for the current page","type":"array","items":{"$ref":"#/components/schemas/TicketTransaction"}},"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}},"required":["data","pagination"]},"PaginatedSalesItemsResponse":{"type":"object","description":"Paginated response format returned when page and limit query parameters are provided","properties":{"data":{"description":"Array of sales items for the current page","type":"array","items":{"$ref":"#/components/schemas/SalesItem"}},"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}},"required":["data","pagination"]},"SalesAdjustment":{"type":"object","properties":{"adjustment_id":{"description":"ID of menu adjustment","type":"string"},"quantity":{"description":"Total quantity","type":"integer"},"total":{"description":"Total amount","type":"number","format":"float"}}},"SalesDaypart":{"type":"object","properties":{"daypart_id":{"description":"ID of daypart","type":"string"},"quantity":{"description":"Total quantity","type":"integer"},"seat_count":{"description":"Total seat count","type":"integer"},"guest_count":{"description":"Total guest count","type":"integer"},"net_sales":{"description":"Total net sales","type":"number","format":"float"},"gross_sales":{"description":"Total gross sales","type":"number","format":"float"}}},"SalesDiscount":{"type":"object","properties":{"discount_id":{"description":"ID of menu discount","type":"string"},"quantity":{"description":"Total quantity","type":"integer"},"total":{"description":"Total amount","type":"number","format":"float"}}},"SalesGroup":{"type":"object","properties":{"group_id":{"description":"ID of menu group","type":"string"},"quantity":{"description":"Total quantity","type":"integer"},"net_sales":{"description":"Total net sales","type":"number","format":"float"},"gross_sales":{"description":"Total gross sales","type":"number","format":"float"}}},"SalesHourlyItem":{"type":"object","properties":{"hour":{"description":"Localized hour when items were added","type":"integer"},"quantity":{"description":"Total quantity","type":"integer"},"net_sales":{"description":"Total net sales","type":"number","format":"float"},"gross_sales":{"description":"Total gross sales","type":"number","format":"float"}}},"SalesHourlyTicket":{"type":"object","properties":{"hour":{"description":"Localized hour when tickets were closed","type":"integer"},"quantity":{"description":"Total quantity","type":"integer"},"seat_count":{"description":"Total seat count","type":"integer"},"guest_count":{"description":"Total guest count","type":"integer"},"net_sales":{"description":"Total net sales","type":"number","format":"float"},"gross_sales":{"description":"Total gross sales","type":"number","format":"float"}}},"SalesItem":{"type":"object","properties":{"item_id":{"description":"ID of menu item","type":"string"},"size_id":{"description":"ID of menu size","type":"string"},"quantity":{"description":"Total quantity","type":"integer"},"net_sales":{"description":"Total net sales","type":"number","format":"float"},"gross_sales":{"description":"Total gross sales","type":"number","format":"float"},"cost":{"description":"Total plate cost","type":"number","format":"float"}}},"SalesReportCategory":{"type":"object","properties":{"report_category_id":{"description":"ID of menu report category","type":"string"},"quantity":{"description":"Total quantity","type":"integer"},"net_sales":{"description":"Total net sales","type":"number","format":"float"},"gross_sales":{"description":"Total gross sales","type":"number","format":"float"}}},"SalesRoom":{"type":"object","properties":{"room_id":{"description":"ID of menu room","type":"string"},"quantity":{"description":"Total quantity","type":"integer"},"seat_count":{"description":"Total seat count","type":"integer"},"guest_count":{"description":"Total guest count","type":"integer"},"net_sales":{"description":"Total net sales","type":"number","format":"float"},"gross_sales":{"description":"Total gross sales","type":"number","format":"float"}}},"SalesStaff":{"type":"object","properties":{"staff_id":{"description":"Base64-encoded staff graph ID of the form `base64(\"staff:<StaffID>\")`, where `StaffID` is an integer. Special buckets: `c3RhZmY6LTE=` (`staff:-1`) = Online Order User, `c3RhZmY6MA==` (`staff:0`) = Unassigned.","type":"string"},"staff_name":{"description":"Staff display name. Special bucket names: `Online Order User` (`staff_id = c3RhZmY6LTE=`), `Unassigned` (`staff_id = c3RhZmY6MA==`).","type":"string"},"ticket_count":{"description":"Total ticket count. `0` for active staff with no orders in the range.","type":"integer"},"guest_count":{"description":"Total guest count. `0` for active staff with no orders in the range.","type":"integer"},"net_sales":{"description":"Total net sales. `0` for active staff with no orders in the range.","type":"number","format":"float"},"gross_sales":{"description":"Total gross sales. `0` for active staff with no orders in the range.","type":"number","format":"float"},"total":{"description":"Total ticket total. `0` for active staff with no orders in the range.","type":"number","format":"float"},"seat_count":{"description":"Total seat count. `0` for active staff with no orders in the range.","type":"integer"}}},"SalesSection":{"type":"object","properties":{"section_id":{"description":"ID of menu section","type":"string"},"quantity":{"description":"Total quantity","type":"integer"},"net_sales":{"description":"Total net sales","type":"number","format":"float"},"gross_sales":{"description":"Total gross sales","type":"number","format":"float"}}},"SalesSurcharge":{"type":"object","properties":{"room_id":{"description":"ID of room","type":"string"},"quantity":{"description":"Total quantity","type":"integer"},"total":{"description":"Total surcharges","type":"number","format":"float"}}},"SalesTax":{"type":"object","properties":{"tax_id":{"description":"ID of tax","type":"string"},"quantity":{"description":"Total quantity","type":"integer"},"total":{"description":"Total tax (non-inclusive)","type":"number","format":"float"},"total_inclusive":{"description":"Total tax (inclusive)","type":"number","format":"float"},"taxable_sales":{"description":"Total taxable base for this tax","type":"number","format":"float"}}},"SalesTaxCategory":{"type":"object","properties":{"taxable_items":{"description":"Total of taxable items","type":"number","format":"float"},"tax_inclusive_items":{"description":"Total of tax-inclusive items","type":"number","format":"float"},"taxable_adjustments":{"description":"Total of taxable adjustments","type":"number","format":"float"},"taxable_total":{"description":"Total amount to be taxes","type":"number","format":"float"},"tax_exempt_items":{"description":"Total of tax-exempt items","type":"number","format":"float"}}},"SalesTipPayout":{"type":"object","properties":{"staff_id":{"description":"ID of staff","type":"string"},"cash":{"description":"Total tips paid in cash","type":"number","format":"float"},"payroll":{"description":"Total tips to be paid on payroll","type":"number","format":"float"},"merchant":{"description":"Total tips paid to merchant","type":"number","format":"float"},"tip_out":{"description":"Total tip outs paid to staff","type":"number","format":"float"},"tip_in":{"description":"Total tip outs collected from staff","type":"number","format":"float"},"total":{"description":"Total tips received","type":"number","format":"float"},"reported":{"description":"Total tips reported by staff on punch outs","type":"number","format":"float"}}},"SalesTotal":{"type":"object","properties":{"gross_items":{"description":"Total gross sales of items","type":"number","format":"float"},"non_revenue_items":{"description":"Total sales of non-revenue items","type":"number","format":"float"},"positive_adjustments":{"description":"Total amount of positive adjustments","type":"number","format":"float"},"gross_sales":{"description":"Total gross sales of tickets","type":"number","format":"float"},"auto_discounts":{"description":"Total amount of auto priced discounts","type":"number","format":"float"},"discounts":{"description":"Total amount of discounts","type":"number","format":"float"},"adjustments":{"description":"Total amount of adjustments","type":"number","format":"float"},"rewards":{"description":"Total amount of used loyalty rewards","type":"number","format":"float"},"net_sales":{"description":"Total net sales","type":"number","format":"float"},"taxes":{"description":"T
[...]
